/************************************************************************
 *   IRC - Internet Relay Chat, include/patchlevel.h
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * New patchlevel.h
 *
 * Define PATCH1 through PATCH8 with major changes. Patches should be
 * preceeded by a . if you wish it to show up in the version.
 *
 * Version stepping support added
 *
 * -dave (dave@areaone.org)
 * February 11, 2002
 */

#include "config.h"

#define PATCH1	""
#define PATCH2 	""
#define PATCH3	""
#define PATCH4	""
#define PATCH5	""
#define PATCH6	""
#define PATCH7	""
#define PATCH8	""

/*
 * Define PATCH9 if DEBUGMODE is enabled
 * -dave
 */

#ifdef DEBUGMODE 
#define PATCH9 ".debug"
#else
#define PATCH9 ""
#endif

/*
 * Base Version
 *
 * Set major IRCd version (do not change)
 */

#define BASE_VERSION "areaone-1.2.1"

/*
 * Version Stepping
 *
 * This should only be incremented when a version should not be linked
 * with a version older than itself.
 * Version stepping support added on STEP #1.
 *
 * Version require is the step that the linking IRCd must be in order
 * to link.
 *
 * Note: MY_VERSION_STEP should be in double-quotes, REQ_VERSION_STEP
 * should not. You will have errors if you do not heed this warning.
 *
 * Current Version Steps:
 *   0	= no version stepping support
 *   1	= version stepping support (areaone-1.1.0)
 *   5  = areaone-1.1.1
 *
 * -dave (dave@areaone.org)
 * February 11, 2002
 */

#define MY_VERSION_STEP		"10"

#define REQ_VERSION_STEP	9

/*
 * V:line
 *
 * Quick hack to enable version line setting of REQ_VERSION_STEP. Note:
 * servers must be >= BOTH REQ_VERSION_STEP and MyReqVersion.
 *
 * -dave (dave@areaone.org)
 * February 14, 2002
 */

extern int MyReqVersion;
